<script>
  function doHeaderEnable(pmode) { {*pmode: Dialog=Dialog以外触れなくする*}
    let h = $("#headerTop");
    let h1 = h.find(".header");
    let d = $("#detailTop");
    let m = $("#funcMenu");

    if(pmode == "Dialog") { {*ダイアログ表示するので、裏側触れなくする*}
      h1.addClass("noevent");
      d.addClass("noevent");
      $("#funcMenu").addClass("noevent");
      $("#funcMenu .Func2").addClass("noevent");
      $("#funcMenu .Func3").addClass("noevent");
      $("#funcMenu .Func4").addClass("noevent");
      $("#funcMenu .Func6").addClass("noevent");
      $("#funcMenu .Func5").addClass("noevent");
      $("#funcMenu .Func6").addClass("noevent");
      $("#funcMenu .Func7").addClass("noevent");
      $("#funcMenu .Func8").addClass("noevent");
      $("#funcMenu .Func9").addClass("noevent");
      $("#funcMenu .Func12").addClass("noevent");

    } else if (pmode == "H") { {*Header有効*}
      h1.removeClass("noevent");
      d.addClass("noevent");
      $("#funcMenu").removeClass("noevent");
      $("#funcMenu .Func2").removeClass("noevent");
      $("#funcMenu .Func3").addClass("noevent");
      $("#funcMenu .Func4").addClass("noevent");
      $("#funcMenu .Func6").addClass("noevent");
      $("#funcMenu .Func5").addClass("noevent");
      $("#funcMenu .Func6").addClass("noevent");
      $("#funcMenu .Func7").addClass("noevent");
      $("#funcMenu .Func8").addClass("noevent");
      $("#funcMenu .Func9").addClass("noevent");
      $("#funcMenu .Func12").removeClass("noevent");

      h.find(".keycd")[0].focus();

    } else {
      h1.addClass("noevent");
      d.removeClass("noevent");
      $("#funcMenu").removeClass("noevent");
      $("#funcMenu .Func2").addClass("noevent");
      $("#funcMenu .Func3").removeClass("noevent");
      $("#funcMenu .Func4").removeClass("noevent");
      $("#funcMenu .Func6").removeClass("noevent");
      $("#funcMenu .Func7").removeClass("noevent");
      $("#funcMenu .Func8").removeClass("noevent");
      $("#funcMenu .Func9").removeClass("noevent");
      $("#funcMenu .Func5").removeClass("noevent");
      $("#funcMenu .Func12").removeClass("noevent");

    }

  }

  //コード変更
  function updCuscd(cuscd2) {

    //既に使用されている店舗コードでないかチェック
    var sendData = {};
    sendData["cucd"] = $("form.header").find(".cucd").val();
    sendData["cuscd2"] = cuscd2.val();


    common.postData(
        "./chkCuscd2.php"
      , sendData
      , function (data) {
        // 特殊処理があれば
        var obj = JSON.parse(data);

        if(obj.rowcnt == '0') {
          if(window.confirm("店舗コードを変更します。よろしいですか？")){

            var sendData = {};
            sendData["cucd"] = $("form.header").find(".cucd").val();
            sendData["cuscd"] = $("form.header").find(".cuscd").val();
            sendData["cuscd2"] = cuscd2.val();
            
            common.postData(
                "./callFmAf9032x.php"
              , sendData
              , function (data) {
                // 特殊処理があれば
                var obj = JSON.parse(data);

                if(obj.wret == '0') {
                  alert("店舗コードを変更しました。");
            
                  dialog = $("#af9032x1");
                  dialog.hide();
                  doHeaderEnable("H");
                  $("form.header").find(".cuscd").val(cuscd2.val());
                  $(".btn-search-before").trigger("click");

                } else if(obj.wret == '-8') {
                  alert("他の端末で実行中です。");
                } else if(obj.wret == '-9') {
                  alert("店舗コードの変更に失敗しました。");
                }
              }
              , function (error) {
                alert(error.msg);
              }
            );

          }
        } else {
          alert('エラーがあります。');
          common.addError(cuscd2, "すでに使用されている店舗コードです。", null, true);
        }
      }
      , function (error) {
        alert(error.msg);
      }
    );
  }

  $(document).ready(function(){
    /* 明細 高さ 自動設定
    //===================================================================*/
    /* イベント
    //===================================================================*/
    //　F1
    $(document).on("click", ".Func1:not('.noevent')", function(e) {
    });
    //　F2
    $(document).on("click", ".Func2:not('.noevent')", function(e) {
      $(".btn-search-before").trigger("click");
    });
    //　F3
    $(document).on("click", ".Func3:not('.noevent')", function(e) {
    });
    //　F4 削除/廃止
    $(document).on("click", ".Func4:not('.noevent')", function(e) {
      $(".btn-haishi").trigger("click");
    });
    //　F5 クリア
    $(document).on("click", ".Func5:not('.noevent')", function(e) {
      $(".btn-index").trigger("click");
    });
    //　F6
    $(document).on("click", ".Func6:not('.noevent')", function(e) {
    });
    //　F7 コード変更
    $(document).on("click", ".Func7:not('.noevent')", function(e) {
      $("#af9032x1").show();
      doHeaderEnable("Dialog");
      $("#af9032x1").find(".cuscd2").focus();
    });
    //　F8
    $(document).on("click", ".Func8:not('.noevent')", function(e) {
    });
    //　F9 登録/実行
    $(document).on("click", ".Func9:not('.noevent')", function(e) {
       $(".btn-reg-before").trigger("click");
   });
    //　F10 Excel
    $(document).on("click", ".Func10:not('.noevent')", function(e) {
      $(".popup-af032m").trigger("click");
    });
    //　F11
    $(document).on("click", ".Func11:not('.noevent')", function(e) {
    });
    //　F12 メニュー/戻る
    $(document).on("click", ".Func12:not('.noevent')", function(e) {
      $('.btn-close').trigger('click')
    });

    //操作可/不可ボタン
    if($("#detailTop").hasClass("noevent")){  //初期
      $(".Func4").addClass("noevent");
      $(".Func5").addClass("noevent");
      $(".Func7").addClass("noevent");
      $(".Func9").addClass("noevent");
    } else {  //表示後
      $(".Func2").addClass("noevent");
    }
    //=== header ===
    
    //ダイアログ
    $(document).on("click", "#af9032x1 .btn-enter", function(e) {
      //実行
      updCuscd($("#af9032x1").find(".cuscd2"));
    });

    $(document).on("click", "#af9032x1 .af9032x1-close", function(e) {
      //戻る
      frmh = $("#headerTop");
      dialog = $("#af9032x1");

      dialog.hide();
      doHeaderEnable("H");
      
    });
    //MENUボタン===============================
    $(document).on("regSuccess", ".btn-reg", function(e, options){
      if(options.ret == '0') {
        alert("登録しました");
        $(".btn-index").trigger("click");
      } else {
        alert(options.msg);
      }
    });

    $(document).on("click", ".btn-search-before", function(e) {

      var errflg = false;
      var frm = $(this).closest(".contents").find(".header");
      if (stringUtil.isEmpty(frm.find(".cucd").val())) {
        errflg = true;
        common.addError( frm.find(".cucd"), "得意先コードを入力して下さい。", null, true);
      }
      if (stringUtil.isEmpty(frm.find(".cuscd").val())) {
        errflg = true;
        common.addError( frm.find(".cuscd"), "店舗コードを入力して下さい。", null, true);
      }
      if (errflg) {
         alert('エラーがあります');
      } else {
        $(".headermenu").find(".btn-search").trigger("click");
      }

    });

    $(document).on("click", ".btn-reg-before", function(e) {
      //登録前チェック
      var errflg = false;
      var frm = $(".detail");
      common.clearFormError(frm);

      //必須チェック
      if (stringUtil.isEmpty(frm.find(".spnm").val())) {
        errflg = true;
        common.addError(frm.find(".spnm"), "店舗名を入力して下さい。", null, true);
      }
      if (stringUtil.isEmpty(frm.find(".spktcd").val())) {
        errflg = true;
        common.addError(frm.find(".spktcd"), "出庫拠点を入力して下さい。", null, true);
      }
      
      //半角チェック
      if (!stringUtil.checkCharType(frm.find(".spknm").val(), "hankaku")) {
        errflg = true;
        common.addError(frm.find(".spknm"), "カナ(半角)は半角で入力して下さい。", null, true);
      }
      if (!stringUtil.checkCharType(frm.find(".spkad1").val(), "hankaku")) {
        errflg = true;
        common.addError(frm.find(".spkad1"), "カナ(半角)は半角で入力して下さい。", null, true);
      }
      if (!stringUtil.checkCharType(frm.find(".spkad2").val(), "hankaku")) {
        errflg = true;
        common.addError(frm.find(".spkad2"), "カナ(半角)は半角で入力して下さい。", null, true);
      }

      if (errflg) {
        alert('エラーがあります。');
      } else {
        
        $(".headermenu").find(".btn-reg").trigger("click");
      }

    });


    //=== header ===
    $(document).on("focus", ".dummy", function(e) {
      $("#topmenu").find(".Func2").focus();
    });

    $(document).on("afterSelectAfm03x", ".cucd", function(e){ //検索画面から戻る
      //$(".btn-search-before").trigger("click");
      $(".header").find(".cuscd").focus();
    });

    $(document).on("afterSelectAfm032x", ".cuscd", function(e){ //検索画面から戻る
      $(".btn-search-before").trigger("click");
    });

    //=== body ===
  

    //=== footer ===


    // 初回フォーカス
    var form = $(".header");
    if(!(form.hasClass("noevent"))){
      $(".header").find(".cucd").focus();
    }else{
      $("#detail").find(".spnm").focus();
    }
  });

</script>
